<div class="mat-elevation-z8">
    <mat-form-field appearance="outline">
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
    </mat-form-field>
    <table mat-table class="full-width-table" matSort aria-label="Elements">
        <!-- Id Column -->
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef>Id</th>
            <td mat-cell *matCellDef="let student">{{student.id}}</td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>
        <!-- StudentId Column -->
        <ng-container matColumnDef="studentId">
            <th mat-header-cell *matHeaderCellDef>Student id</th>
            <td mat-cell *matCellDef="let student">{{student.studentId}}</td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>
        <!-- Name Column -->
        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
            <td mat-cell *matCellDef="let student">{{student.studentFirstname}}</td>
            <td mat-footer-cell *matFooterCellDef>Total </td>
        </ng-container>
        <!-- Surname Column -->
        <ng-container matColumnDef="surname">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Surname</th>
            <td mat-cell *matCellDef="let student">{{student.studentSurname}}</td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>


        <!-- image Column -->
        <ng-container matColumnDef="image">
            <th mat-header-cell *matHeaderCellDef class="center-text">Image</th>
            <td mat-cell *matCellDef="let student" class="center-text">
                <img class="stuImg" [src]="student.studentImage" [title]="student.studentFirstname" class="img-fluid">
            </td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>

        <!-- approve Column -->
        <ng-container matColumnDef="approve">
            <th mat-header-cell *matHeaderCellDef class="center-text">Approvation</th>
            <td mat-cell *matCellDef="let student" class="center-text">
                <div class="center appBtn">
                    <button id="submit" type="submit" mat-mini-fab [color]="'success'" (click)="Approve(student)">
                    <mat-icon>check</mat-icon>
                  </button>

                    <button id="submit" type="submit" mat-mini-fab color="warn" (click)="Reject(student)">
                    <mat-icon>close</mat-icon>
                  </button>
                </div>
            </td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        <tr mat-footer-row *matFooterRowDef="displayedColumns"></tr>
    </table>

    <mat-paginator #paginator [length]="dataSource?.data.length" [pageIndex]="0" [pageSize]="50" [pageSizeOptions]="[25, 50, 100, 250]">
    </mat-paginator>
</div>